%define qtdir %_libdir/qt3

Name: mmkc
Version: 0.7
Release: alt1

Summary: MultiMedia Keyboard Controller
License: BSD-like
Group: System/Configuration/Other
Url: http://mmkc.sourceforge.net

Source: %name-%version.tar.gz
Patch: %name-0.7-alt-makefile.patch

# Automatically added by buildreq on Wed Jul 21 2004
BuildRequires: XFree86-devel XFree86-libs emacs-base fontconfig freetype2 gcc-c++ gtk+ kde-settings kdelibs-devel libncurses-devel libqt3-devel libreadline-devel libstdc++-devel wxGTK-devel

%description
MultiMedia Keyboard Controller (MMKC) is a project that helps to select
actions for extra buttons that exist on multimedia keyboards. It also
supports mouse gestures.

%package gui
Summary: MultiMedia Keyboard Controller GUI Interface
Group: System/Configuration/Other
Requires: %name = %version-%release

%description gui
MultiMedia Keyboard Controller GUI Interface.
Just type mmkc to launch graphical configurator.

%package plugin-xmms 
Summary: MultiMedia Keyboard Controller plugin for XMMS
Group: System/Configuration/Other
Requires: %name = %version-%release

%description plugin-xmms
MultiMedia Keyboard Controller plugin for XMMS.

%package plugin-konqueror
Summary: MultiMedia Keyboard Controller plugin for Konqueror
Group: System/Configuration/Other
Requires: %name = %version-%release

%description plugin-konqueror
MultiMedia Keyboard Controller plugin for Konqueror web browser.

%package devel
Summary: MultiMedia Keyboard Controller development files
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package provides development files needed to build plugins for
MultiMedia Keyboard Controller.

%prep
%setup -q
%patch -p1 -b .orig

%build
export QTDIR=%qtdir
%make_build -C src HAS_KONQUEROR=true

%install
%make_install -C src DESTDIR=%buildroot \
	HAS_KONQUEROR=true install

# menu for mmkc-wxWidgets
%__mkdir_p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<__MENU__
?package(%name-gui): needs="x11" \
section="Configuration/Hardware" \
title="MMKC configurator" \
longtitle="MultiMedia Keyboard Controller configurator" \
command="%_bindir/%name" \
icon="hardware_section.png"
__MENU__

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post gui
%update_menus

%postun gui
%clean_menus

%files
%_bindir/mmkc-console
%_bindir/mmkcd
%_libdir/*.so.*
%exclude %_libdir/%name/plugins/libxmms.so
%exclude %_libdir/%name/plugins/libkonqueror.so
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*.so
%doc README CHANGELOG COPYING AUTHORS TODO

%files gui
%_bindir/mmkc
%_bindir/mmkc-wxWidgets
%_menudir/*

%files plugin-xmms
%_libdir/%name/plugins/libxmms.so

%files plugin-konqueror
%_libdir/%name/plugins/libkonqueror.so

%files devel
%_includedir/*
%_libdir/*.so

%changelog
* Wed Jul 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7
- mmkc-{gui,devel} and mmkc-plugin-{xmms,konqueror} subpackages.
- menu file for GUI configurator.

* Thu May 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- 0.5

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- First build for Sisyphus.

